Class UmlBaseParameter

Represent an operation's parameter

Declaration :

- C++ : struct UmlBaseParameter
- Java : class UmlBaseParameter

Directly inherited by : UmlParameter

Artifact : UmlBaseParameter

Stereotype: struct

Operation UmlBaseParameter

Declaration :

- Uml : + UmlBaseParameter() :
- Java : public UmlBaseParameter()

Operation clone_it

Clone the parameter, defined only in Java which does not have 'const' or 'value passing'

Declaration :

- Uml : + clone_it() : UmlParameter
- Java : public UmlParameter clone_it()

Attribute name

Declaration :

- Uml : + name : string
- C++ : public: QCString name
- Java : public String name

Attribute default_value

Declaration :

- Uml : + default_value : string
- C++ : public: QCString default_value
- Java : public String default_value

Relation type (<directional composition>)

Declaration :

- Uml : + type : UmlTypeSpec
- C++ : public: UmlTypeSpec type
- Java : public UmlTypeSpec type

Relation dir (<directional composition>)

Declaration :

- Uml : + dir : aDirection
- C++ : public: aDirection dir
- Java : public aDirection dir

All public operations : clone_it